package com.mycroftmind.samples.win.asynctest;


import com.mycroftmind.samples.win.asynctest.model.SampleEntity;
import java.util.List;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;



/**
 * The SampleEntity provider bean used only for retrieving the entities
 * from persistent storage.
 *
 * @author win
 */
@Stateless
@LocalBean
public class AsyncTestReadBean {

    /**
     * The persistence context.
     */
    @PersistenceContext
    private EntityManager em;

    /**
     * Returns all records stored in the database.
     *
     * @return the list of SampleEntity instances
     */
    public List<SampleEntity> getSamples() {
        return this.em.createNamedQuery(SampleEntity.JPQL_GET_ALL, SampleEntity.class)
                .getResultList();
    }

}
