package com.mycroftmind.samples.win.asynctest.frontend;


import com.mycroftmind.samples.win.asynctest.AsyncTestBean;
import com.mycroftmind.samples.win.asynctest.model.SampleEntity;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;



/**
 * The JSF managed bean.
 *
 * @author win
 */
@ManagedBean
public class AsyncTestFormBean {

    @EJB
    private AsyncTestBean testBean;

    private String result;

    /**
     * Runs the asynchronous method performing test.
     *
     * @return "index.html" for JSF navigation
     */
    public String runTest() {
        testBean.testMethod();
        return "index.xhtml";
    }

    /**
     * Refreshes the result value from the database.
     */
    public void refresh() {
        final StringBuffer sb = new StringBuffer("");
        for (SampleEntity sample : this.testBean.getSamples()) {
            sb.append(sample.getId()).append(" ");
        }
        this.result = sb.toString();
    }

    public String getResult() {
        return this.result;
    }
}
